Bug 278271 - Xorg and beryl eats memory and takes 90% CPU over time
Xorg and beryl eats memory and takes 90% CPU over time
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 08:26 EDT by Carl-Johan Kjellander
Modified: 2008-01-15 09:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:38:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (117.69 KB, text/plain)
2007-09-05 08:27 EDT, Carl-Johan Kjellander
no flags Details
xorg.conf (929 bytes, text/plain)
2007-09-05 08:28 EDT, Carl-Johan Kjellander
no flags Details

  None (edit)
Description Carl-Johan Kjellander 2007-09-05 08:26:45 EDT
Description of problem:
Over the course of runinng Xorg and beryl during 3 weeks, Xorg
eats up more and more memory and uses more and more CPU. It is now
running at 90% on one of the CPUs and it has triggered an OOM-killer
event once two days ago.

I'm running with a lot of acceleration options to get X usable
for scrolling in firefox, related to bug #238356.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-47.10.fc6
xorg-x11-drv-ati-6.6.3-1.fc6
beryl-gnome-0.2.0-1.fc6
beryl-0.2.0-1.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Use desktop normally with beryl.
 
Actual results:
$ top -b -n 1 | grep Xorg
31973 root      25   0  603m 1.2g 1.0g R   73 132.3   4147:24 Xorg              

Expected results:
It shouldn't have to use that much mem, and especially not that much CPU.
I only have 15 windows open and that has been pretty much constant
over the 3 weeks.

Additional info:
I'll attach xorg.conf and Xorg.0.log and some more info.
Comment 1 Carl-Johan Kjellander 2007-09-05 08:27:59 EDT
Created attachment 187301 [details]
Xorg.0.log
Comment 2 Carl-Johan Kjellander 2007-09-05 08:28:31 EDT
Created attachment 187321 [details]
xorg.conf
Comment 3 Carl-Johan Kjellander 2007-09-05 08:32:13 EDT
xrestop - Display: localhost:0
          Monitoring 47 clients. XErrors: 0
          Pixmaps:  104092K total, Other:     372K total, All:  104464K total

res-base Wins  GCs Fnts Pxms Misc   Pxm mem  Other   Total   PID Identifier    
4800000    66    1    1   21 4656    39933K    111K  40045K   ?   beryl
4a00000   514   76    1  178  289    20902K     21K  20924K 14526 emerald
5a00000   560   65    1  776  237    14393K     21K  14414K  3804 https://bookin
2c00000     0    0    0    1    0     7500K      0B   7500K   ?   <unknown>
0c00000   108   30    5   49   17     3940K      8K   3949K   ?   XMMS
5800000     5   21    4   48    8     3938K      4K   3943K   ?   XMMS - 132. Qu
4e00000    92    1    1   74  221     3444K      8K   3453K 16516 Last.fm
5200000    30   39    0  270   77     1640K      3K   1644K  1198 gkrellm
4600000   143   62    1   74  118     1161K      8K   1170K   356 Inbox for carl
2600000    56   94    1  110   83     1070K      6K   1076K 16413 ARBETSDAGAR CM
2800000    33   43    0    5   64      914K      3K    917K 32102 WindowNavigati
4400000   672  126    1  376  362      506K     28K    534K  3713 KTorrent
2e00000    95   76    1   11  155      421K      8K    430K 32203 cjk@razor:~
3a00000    53   55    1    6   31      418K      4K    422K 24688 XChat: RaoulDu
1000000   199   47    1    4   38      386K      7K    394K 32102 Top Panel
1600000    31   43    1    5   25      386K      3K    389K 32104 Desktop
1a00000    71   51    1    2   43      384K      4K    388K 32132 SCIM Help
4c00000    53   43    1    2   33      384K      4K    388K 18713 Service Config
4000000     3   32    1    2   12      384K      2K    386K 18709 system-config-
0e00000    26   35    0    2   18      384K      1K    385K 32102 Beryl Manager
2a00000     7   34    0    2   14      384K      1K    385K 32102 trashapplet
2000000     6   30    0    2   14      384K      1K    385K 32102 EggCups
3600000     5   31    0    2   11      384K      1K    385K 32102 mixer_applet2
1c00000     4   30    0    2   13      384K      1K    385K 32102 pam-panel-icon
3000000     3   31    0    1 3059        4B     72K     72K 32239 gnome-screensa
5600000    34  108    1   32   34       59K      5K     64K  3726 kio_uiserver
0800000     4    1    0    0  329        0B      7K      7K 32074 gnome-settings
1200000   114    1    0    0  115        0B      5K      5K   ?   <unknown>
3200000    16   31    0    1   19        4B      1K      1K 32102 NotificationAr
3800000     8   43    0    1   11        4B      1K      1K 32102 ClockApplet
5e00000     4    3    1    0   12        0B      1K      1K   ?   <unknown>
3400000     7   31    0    1    9        4B      1K      1K 32102 gswitchit
2400000     5   30    0    1    9        4B      1K      1K 32102 NetworkManager
0200000     0    1    1    0    0        0B      1K      1K   ?   <unknown>
2200000     4   30    0    1    9        4B      1K      1K 32102 puplet
1800000     4   30    0    1    9        4B      1K      1K 32102 bluetooth-appl
1400000     4   30    0    1    9        4B      1K      1K 32106 gnome-volume-m
0a00000     4   30    0    1    9        4B      1K      1K 32102 gnome-power-ma
3e00000     3   30    0    1    7        4B    960B    964B 32348 evolution-exch
4200000     5    1    0    0   33        0B    936B    936B  3722 kded
5000000     1    1    0    0    7        0B    216B    216B   ?   <unknown>
0600000     2    1    0    0    6        0B    216B    216B 31998 gnome-session
5c00000     1    1    0    0    1        0B     72B     72B   ?   xrestop
5400000     1    1    0    0    1        0B     72B     72B   ?   <unknown>
3c00000     0    1    0    0    0        0B     24B     24B   ?   <unknown>
1e00000     0    1    0    0    0        0B     24B     24B   ?   <unknown>
0400000     0    1    0    0    0        0B     24B     24B   ?   <unknown>
Comment 4 Carl-Johan Kjellander 2007-09-05 08:33:33 EDT
# pmap `pidof Xorg`
31973:   /usr/bin/Xorg :0 -br -audit 0 -auth /var/gdm/:0.Xauth -nolisten tcp vt7
00110000      4K r-x--  /usr/lib/xorg/modules/fonts/libbitmap.so
00111000      4K rwx--  /usr/lib/xorg/modules/fonts/libbitmap.so
00112000    220K r-x--  /usr/lib/xorg/modules/libpcidata.so
00149000     92K rwx--  /usr/lib/xorg/modules/libpcidata.so
00160000     16K r-x--  /usr/lib/xorg/modules/extensions/libdbe.so
00164000      4K rwx--  /usr/lib/xorg/modules/extensions/libdbe.so
00165000     28K r-x--  /usr/lib/xorg/modules/extensions/libdri.so
0016c000      4K rwx--  /usr/lib/xorg/modules/extensions/libdri.so
0016d000     12K r-x--  /usr/lib/xorg/modules/input/kbd_drv.so
00170000      4K rwx--  /usr/lib/xorg/modules/input/kbd_drv.so
00171000     40K r-x--  /usr/lib/xorg/modules/input/mouse_drv.so
0017b000      4K rwx--  /usr/lib/xorg/modules/input/mouse_drv.so
0017c000     24K r-x--  /usr/lib/xorg/modules/libvgahw.so
00182000      4K rwx--  /usr/lib/xorg/modules/libvgahw.so
00183000      8K r-x--  /usr/lib/xorg/modules/libi2c.so
00185000      4K rwx--  /usr/lib/xorg/modules/libi2c.so
00186000      4K r-x--  /usr/lib/xorg/modules/multimedia/theatre_detect_drv.so
00187000      4K rwx--  /usr/lib/xorg/modules/multimedia/theatre_detect_drv.so
0018a000     28K r-x--  /usr/lib/xorg/modules/linux/libdrm.so
00191000      4K rwx--  /usr/lib/xorg/modules/linux/libdrm.so
00192000     36K r-x--  /lib/libnss_files-2.5.so
0019b000      4K r-x--  /lib/libnss_files-2.5.so
0019c000      4K rwx--  /lib/libnss_files-2.5.so
0019d000     16K r-x--  /lib/libnss_dns-2.5.so
001a1000      4K r-x--  /lib/libnss_dns-2.5.so
001a2000      4K rwx--  /lib/libnss_dns-2.5.so
001a4000     84K r-x--  /lib/libselinux.so.1
001b9000      8K rwx--  /lib/libselinux.so.1
001bb000    144K r-x--  /usr/lib/xorg/modules/libintxen.so
001df000      8K rwx--  /usr/lib/xorg/modules/libintxen.so
001e1000    240K r-x--  /usr/lib/xorg/modules/libfb.so
0021d000      4K rwx--  /usr/lib/xorg/modules/libfb.so
0021e000    328K r-x--  /usr/lib/xorg/modules/libxaa.so
00270000      8K rwx--  /usr/lib/xorg/modules/libxaa.so
00286000     28K r-x--  /usr/lib/xorg/modules/libddc.so
0028d000      4K rwx--  /usr/lib/xorg/modules/libddc.so
0028e000     76K r-x--  /lib/i686/nosegneg/libpthread-2.5.so
002a1000      4K r-x--  /lib/i686/nosegneg/libpthread-2.5.so
002a2000      4K rwx--  /lib/i686/nosegneg/libpthread-2.5.so
002a3000      8K rwx--    [ anon ]
002a7000    236K r-x--  /lib/libsepol.so.1
002e2000      4K rwx--  /lib/libsepol.so.1
002e3000     40K rwx--    [ anon ]
00314000     60K r-x--  /lib/libresolv-2.5.so
00323000      4K r-x--  /lib/libresolv-2.5.so
00324000      4K rwx--  /lib/libresolv-2.5.so
00325000      8K rwx--    [ anon ]
0037e000     40K r-x--  /usr/lib/libdrm.so.2.3.0
00388000      4K rwx--  /usr/lib/libdrm.so.2.3.0
00390000    100K r-x--  /lib/ld-2.5.so
003a9000      4K r-x--  /lib/ld-2.5.so
003aa000      4K rwx--  /lib/ld-2.5.so
003ad000   1268K r-x--  /lib/i686/nosegneg/libc-2.5.so
004ea000      8K r-x--  /lib/i686/nosegneg/libc-2.5.so
004ec000      4K rwx--  /lib/i686/nosegneg/libc-2.5.so
004ed000     12K rwx--    [ anon ]
004f2000    148K r-x--  /lib/i686/nosegneg/libm-2.5.so
00517000      4K r-x--  /lib/i686/nosegneg/libm-2.5.so
00518000      4K rwx--  /lib/i686/nosegneg/libm-2.5.so
0051b000      8K r-x--  /lib/libdl-2.5.so
0051d000      4K r-x--  /lib/libdl-2.5.so
0051e000      4K rwx--  /lib/libdl-2.5.so
00521000     72K r-x--  /usr/lib/libz.so.1.2.3
00533000      4K rwx--  /usr/lib/libz.so.1.2.3
00536000     20K r-x--  /usr/lib/libfontenc.so.1.0.0
0053b000      8K rwx--  /usr/lib/libfontenc.so.1.0.0
0054f000      8K r-x--  /usr/lib/libXau.so.6.0.0
00551000      4K rwx--  /usr/lib/libXau.so.6.0.0
0055e000    312K r-x--  /usr/lib/xorg/modules/drivers/radeon_drv.so
005ac000      8K rwx--  /usr/lib/xorg/modules/drivers/radeon_drv.so
005ae000      4K rwx--    [ anon ]
00658000     20K r-x--  /usr/lib/libXdmcp.so.6.0.0
0065d000      4K rwx--  /usr/lib/libXdmcp.so.6.0.0
00672000    124K r-x--  /lib/libexpat.so.0.5.0
00691000      8K rwx--  /lib/libexpat.so.0.5.0
00695000    500K r-x--  /usr/lib/libfreetype.so.6.3.10
00712000     12K rwx--  /usr/lib/libfreetype.so.6.3.10
00717000    392K r-x--  /usr/lib/libXfont.so.1.4.1
00779000     24K rwx--  /usr/lib/libXfont.so.1.4.1
0077f000     28K rwx--    [ anon ]
00799000     44K r-x--  /lib/libgcc_s-4.1.2-20070626.so.1
007a4000      4K rwx--  /lib/libgcc_s-4.1.2-20070626.so.1
00841000     44K r-x--  /usr/lib/xorg/modules/drivers/ati_drv.so
0084c000      8K rwx--  /usr/lib/xorg/modules/drivers/ati_drv.so
00879000     24K r-x--  /usr/lib/xorg/modules/libshadowfb.so
0087f000      4K rwx--  /usr/lib/xorg/modules/libshadowfb.so
00935000     28K r-x--  /usr/lib/xorg/modules/libramdac.so
0093c000      4K rwx--  /usr/lib/xorg/modules/libramdac.so
00b82000      4K r-x--    [ anon ]
00bd0000      4K r-x--  /usr/lib/xorg/modules/fonts/libfreetype.so
00bd1000      4K rwx--  /usr/lib/xorg/modules/fonts/libfreetype.so
00c74000     16K r-x--  /usr/lib/xorg/modules/linux/libfbdevhw.so
00c78000      4K rwx--  /usr/lib/xorg/modules/linux/libfbdevhw.so
00cb2000    412K r-x--  /usr/lib/xorg/modules/extensions/libglx.so
00d19000     68K rwx--  /usr/lib/xorg/modules/extensions/libglx.so
00d2a000      4K rwx--    [ anon ]
00dec000    128K r-x--  /usr/lib/xorg/modules/extensions/libextmod.so
00e0c000      4K rwx--  /usr/lib/xorg/modules/extensions/libextmod.so
00e5e000      4K r-x--  /usr/lib/xorg/modules/fonts/libtype1.so
00e5f000      4K rwx--  /usr/lib/xorg/modules/fonts/libtype1.so
00e77000     24K r-x--  /usr/lib/xorg/modules/extensions/librecord.so
00e7d000      4K rwx--  /usr/lib/xorg/modules/extensions/librecord.so
00e7e000   2312K r-x--  /usr/lib/dri/r200_dri.so
010c0000     88K rwx--  /usr/lib/dri/r200_dri.so
010d6000    148K rwx--    [ anon ]
05384000  10240K rwx--    [ anon ]
08047000   1712K r-x--  /usr/bin/Xorg
081f3000     64K rw---  /usr/bin/Xorg
08203000     64K rw---    [ anon ]
0862a000 221068K rw---    [ anon ]
9d0b8000   2912K rw---    [ anon ]
9e410000   7504K rw---    [ anon ]
9eb64000  32768K rw-s-    [ shmid=0x648014 ]
a174e000    384K rw-s-    [ shmid=0x550011 ]
a1bc9000   1120K rw---    [ anon ]
a1d01000    384K rw-s-    [ shmid=0x1d2802a ]
a1edb000    384K rw-s-    [ shmid=0x144001a ]
a2217000   5628K rw---    [ anon ]
a2796000    384K rw-s-    [ shmid=0x540013 ]
a27f6000    384K rw-s-    [ shmid=0x538012 ]
a296e000   1120K rw---    [ anon ]
a32e7000    384K rw-s-    [ shmid=0x678017 ]
a3441000    384K rw-s-    [ shmid=0x668001 ]
a3c24000   8368K rw---    [ anon ]
a46ed000   5220K rw---    [ anon ]
a50e7000   9744K rw---    [ anon ]
a5a92000   3148K rw---    [ anon ]
a5da5000    384K rw-s-    [ shmid=0x650015 ]
a5e05000    384K rw-s-    [ shmid=0x2dc003b ]
a5e65000    384K rw-s-    [ shmid=0x3c0009 ]
a5f1d000    384K rw-s-    [ shmid=0x2db800e ]
a5f7d000    384K rw-s-    [ shmid=0x1a20021 ]
a5fdd000    384K rw-s-    [ shmid=0x3b8008 ]
a6092000    384K rw-s-    [ shmid=0x3078030 ]
a60f2000     12K rw-s-    [ shmid=0x14d001f ]
a60f5000    384K rw-s-    [ shmid=0x14c801e ]
a6155000    384K rw-s-    [ shmid=0x3b0007 ]
a61b5000    384K rw-s-    [ shmid=0x3a8006 ]
a6215000   7504K rw---    [ anon ]
a6969000    384K rw-s-    [ shmid=0x3a0005 ]
a69c9000    384K rw-s-    [ shmid=0x398004 ]
a6a29000    384K rw-s-    [ shmid=0x390003 ]
a6a89000    384K rw-s-    [ shmid=0x388002 ]
a6b1c000    384K rw-s-    [ shmid=0x2fd000d ]
a6b7c000    384K rw-s-    [ shmid=0x2fc000c ]
a6bdc000    384K rw-s-    [ shmid=0x2fb800b ]
a6c3c000   1236K rw---    [ anon ]
a6d80000    384K rw-s-    [ shmid=0x670016 ]
a6e3c000     12K rw-s-    [ shmid=0x14c001d ]
a6e82000     88K rw-s-    [ shmid=0x3070028 ]
a6e98000    384K rw-s-    [ shmid=0x290000a ]
a6ef8000   4992K rw-s-  /dev/dri/card0
a73d8000   2048K rw-s-  /dev/dri/card0
a75d8000      4K rw-s-  /dev/dri/card0
a75d9000     64K rw-s-  /dev/dri/card0
a75e9000      8K rw-s-  /dev/dri/card0
a75eb000 131072K rw-s-  /dev/dri/card0
af5eb000   2048K rw-s-  /dev/dri/card0
af7eb000   4992K rw-s-  /dev/dri/card0
afccb000   2048K rw-s-  /dev/dri/card0
afecb000      4K rw-s-  /dev/dri/card0
afecc000   1028K rw-s-  /dev/dri/card0
affcd000      8K rw-s-  /dev/dri/card0
affcf000 131072K rw-s-  /dev/mem
b7fcf000     16K rw---    [ anon ]
b7fde000     64K rw-s-  /dev/mem
bff87000     92K rw---    [ stack ]
 total   617520K
Comment 5 Carl-Johan Kjellander 2007-09-05 08:34:42 EDT
# pmap `pidof beryl`
14437:   beryl
00110000     16K r-x--  /usr/lib/beryl/backends/libini.so
00114000      4K rwx--  /usr/lib/beryl/backends/libini.so
00115000     16K r-x--  /usr/lib/beryl/libsplash.so
00119000      4K rwx--  /usr/lib/beryl/libsplash.so
0011a000      8K r-x--  /usr/lib/beryl/libsvg.so
0011c000      4K rwx--  /usr/lib/beryl/libsvg.so
0011d000    424K r-x--  /usr/lib/libcairo.so.2.9.3
00187000      8K rwx--  /usr/lib/libcairo.so.2.9.3
0018b000      8K r-x--  /usr/lib/libXcomposite.so.1.0.0
0018d000      4K rwx--  /usr/lib/libXcomposite.so.1.0.0
0018e000      8K r-x--  /lib/libgmodule-2.0.so.0.1200.9
00190000      4K rwx--  /lib/libgmodule-2.0.so.0.1200.9
00191000      8K r-x--  /usr/lib/libavahi-glib.so.1.0.1
00193000      4K rwx--  /usr/lib/libavahi-glib.so.1.0.1
00194000      8K r-x--  /lib/libutil-2.5.so
00196000      4K r-x--  /lib/libutil-2.5.so
00197000      4K rwx--  /lib/libutil-2.5.so
00198000      8K r-x--  /usr/lib/beryl/libpng.so
0019a000      4K rwx--  /usr/lib/beryl/libpng.so
0019b000     32K r-x--  /usr/lib/beryl/libswitcher.so
001a3000      4K rwx--  /usr/lib/beryl/libswitcher.so
001a4000     84K r-x--  /lib/libselinux.so.1
001b9000      8K rwx--  /lib/libselinux.so.1
001bb000     88K r-x--  /usr/lib/libgdk_pixbuf-2.0.so.0.1000.13
001d1000      4K rwx--  /usr/lib/libgdk_pixbuf-2.0.so.0.1000.13
001d2000    248K r-x--  /lib/libgobject-2.0.so.0.1200.9
00210000      4K rwx--  /lib/libgobject-2.0.so.0.1200.9
00211000    180K r-x--  /usr/lib/libpangoft2-1.0.so.0.1400.10
0023e000      4K rwx--  /usr/lib/libpangoft2-1.0.so.0.1400.10
0023f000    244K r-x--  /usr/lib/libpango-1.0.so.0.1400.10
0027c000      8K rwx--  /usr/lib/libpango-1.0.so.0.1400.10
0027e000    112K r-x--  /usr/lib/libdbus-glib-1.so.2.0.0
0029a000      4K rwx--  /usr/lib/libdbus-glib-1.so.2.0.0
0029b000     36K r-x--  /usr/lib/beryl/librotate.so
002a4000      4K rwx--  /usr/lib/beryl/librotate.so
002a7000    236K r-x--  /lib/libsepol.so.1
002e2000      4K rwx--  /lib/libsepol.so.1
002e3000     40K rwx--    [ anon ]
002ed000     16K r-x--  /usr/lib/beryl/libdecoration.so
002f1000      4K rwx--  /usr/lib/beryl/libdecoration.so
002f2000     28K r-x--  /usr/lib/libberyldecoration.so.0.0.0
002f9000      4K rwx--  /usr/lib/libberyldecoration.so.0.0.0
002fc000      4K r-x--    [ anon ]
002fd000     76K r-x--  /lib/libnsl-2.5.so
00310000      4K r-x--  /lib/libnsl-2.5.so
00311000      4K rwx--  /lib/libnsl-2.5.so
00312000      8K rwx--    [ anon ]
00314000     60K r-x--  /lib/libresolv-2.5.so
00323000      4K r-x--  /lib/libresolv-2.5.so
00324000      4K rwx--  /lib/libresolv-2.5.so
00325000      8K rwx--    [ anon ]
00329000     28K r-x--  /lib/i686/nosegneg/librt-2.5.so
00330000      4K r-x--  /lib/i686/nosegneg/librt-2.5.so
00331000      4K rwx--  /lib/i686/nosegneg/librt-2.5.so
00332000     12K r-x--  /usr/lib/beryl/libneg.so
00335000      4K rwx--  /usr/lib/beryl/libneg.so
0033a000      8K r-x--  /usr/lib/beryl/libfadedesktop.so
0033c000      4K rwx--  /usr/lib/beryl/libfadedesktop.so
00340000     20K r-x--  /usr/lib/beryl/libthumbnail.so
00345000     12K rwx--  /usr/lib/beryl/libthumbnail.so
00348000     20K r-x--  /usr/lib/beryl/lib3d.so
0034d000      4K rwx--  /usr/lib/beryl/lib3d.so
0034e000     40K r-x--  /usr/lib/beryl/libcube.so
00358000      4K rwx--  /usr/lib/beryl/libcube.so
00359000     20K r-x--  /usr/lib/beryl/libresize.so
0035e000      4K rwx--  /usr/lib/beryl/libresize.so
0035f000     16K r-x--  /usr/lib/beryl/libinputzoom.so
00363000      4K rwx--  /usr/lib/beryl/libinputzoom.so
00367000     28K r-x--  /usr/lib/libkrb5support.so.0.1
0036e000      4K rwx--  /usr/lib/libkrb5support.so.0.1
00371000     12K r-x--  /lib/libcap.so.1.10
00374000      4K rwx--  /lib/libcap.so.1.10
00377000     16K r-x--  /lib/libgthread-2.0.so.0.1200.9
0037b000      4K rwx--  /lib/libgthread-2.0.so.0.1200.9
0037e000     40K r-x--  /usr/lib/libdrm.so.2.3.0
00388000      4K rwx--  /usr/lib/libdrm.so.2.3.0
00389000     12K r-x--  /usr/lib/beryl/libplace.so
0038c000      4K rwx--  /usr/lib/beryl/libplace.so
00390000    100K r-x--  /lib/ld-2.5.so
003a9000      4K r-x--  /lib/ld-2.5.so
003aa000      4K rwx--  /lib/ld-2.5.so
003ad000   1268K r-x--  /lib/i686/nosegneg/libc-2.5.so
004ea000      8K r-x--  /lib/i686/nosegneg/libc-2.5.so
004ec000      4K rwx--  /lib/i686/nosegneg/libc-2.5.so
004ed000     12K rwx--    [ anon ]
004f2000    148K r-x--  /lib/i686/nosegneg/libm-2.5.so
00517000      4K r-x--  /lib/i686/nosegneg/libm-2.5.so
00518000      4K rwx--  /lib/i686/nosegneg/libm-2.5.so
0051b000      8K r-x--  /lib/libdl-2.5.so
0051d000      4K r-x--  /lib/libdl-2.5.so
0051e000      4K rwx--  /lib/libdl-2.5.so
00521000     72K r-x--  /usr/lib/libz.so.1.2.3
00533000      4K rwx--  /usr/lib/libz.so.1.2.3
00536000     76K r-x--  /lib/i686/nosegneg/libpthread-2.5.so
00549000      4K r-x--  /lib/i686/nosegneg/libpthread-2.5.so
0054a000      4K rwx--  /lib/i686/nosegneg/libpthread-2.5.so
0054b000      8K rwx--    [ anon ]
0054f000      8K r-x--  /usr/lib/libXau.so.6.0.0
00551000      4K rwx--  /usr/lib/libXau.so.6.0.0
00554000   1016K r-x--  /usr/lib/libX11.so.6.2.0
00652000     16K rwx--  /usr/lib/libX11.so.6.2.0
00658000     20K r-x--  /usr/lib/libXdmcp.so.6.0.0
0065d000      4K rwx--  /usr/lib/libXdmcp.so.6.0.0
00660000     60K r-x--  /usr/lib/libXext.so.6.4.0
0066f000      4K rwx--  /usr/lib/libXext.so.6.4.0
00672000    124K r-x--  /lib/libexpat.so.0.5.0
00691000      8K rwx--  /lib/libexpat.so.0.5.0
00695000    500K r-x--  /usr/lib/libfreetype.so.6.3.10
00712000     12K rwx--  /usr/lib/libfreetype.so.6.3.10
00717000    148K r-x--  /usr/lib/libpng12.so.0.10.0
0073c000      4K rwx--  /usr/lib/libpng12.so.0.10.0
0073f000    156K r-x--  /usr/lib/libfontconfig.so.1.1.0
00766000     32K rwx--  /usr/lib/libfontconfig.so.1.1.0
00770000     32K r-x--  /usr/lib/libXrender.so.1.3.0
00778000      4K rwx--  /usr/lib/libXrender.so.1.3.0
0077b000     16K r-x--  /usr/lib/libXfixes.so.3.1.0
0077f000      4K rwx--  /usr/lib/libXfixes.so.3.1.0
00782000     12K r-x--  /usr/lib/libXrandr.so.2.0.0
00785000      4K rwx--  /usr/lib/libXrandr.so.2.0.0
00788000      8K r-x--  /usr/lib/libXinerama.so.1.0.0
0078a000      4K rwx--  /usr/lib/libXinerama.so.1.0.0
0078d000     36K r-x--  /usr/lib/libXcursor.so.1.0.2
00796000      4K rwx--  /usr/lib/libXcursor.so.1.0.2
00797000    104K r-x--  /usr/lib/beryl/libanimation.so
007b1000      4K rwx--  /usr/lib/beryl/libanimation.so
007b2000     12K r-x--  /usr/lib/beryl/libscreenshot.so
007b5000      4K rwx--  /usr/lib/beryl/libscreenshot.so
007b6000     12K r-x--  /usr/lib/beryl/libmove.so
007b9000      4K rwx--  /usr/lib/beryl/libmove.so
007f2000     16K r-x--  /usr/lib/beryl/libdbus.so
007f6000      4K rwx--  /usr/lib/beryl/libdbus.so
0086b000      8K r-x--  /usr/lib/beryl/libimgjpeg.so
0086d000      4K rwx--  /usr/lib/beryl/libimgjpeg.so
00894000     32K r-x--  /usr/lib/libSM.so.6.0.0
0089c000      4K rwx--  /usr/lib/libSM.so.6.0.0
0089f000     92K r-x--  /usr/lib/libICE.so.6.3.0
008b6000      4K rwx--  /usr/lib/libICE.so.6.3.0
008b7000      8K rwx--    [ anon ]
008bb000    132K r-x--  /usr/lib/libjpeg.so.62.0.0
008dc000      4K rwx--  /usr/lib/libjpeg.so.62.0.0
008df000    628K r-x--  /lib/libglib-2.0.so.0.1200.9
0097c000      4K rwx--  /lib/libglib-2.0.so.0.1200.9
0097d000   2312K r-x--  /usr/lib/dri/r200_dri.so
00bbf000     88K rwx--  /usr/lib/dri/r200_dri.so
00bd5000    148K rwx--    [ anon ]
00bfa000     12K r-x--  /usr/lib/beryl/libbench.so
00bfd000    536K rwx--  /usr/lib/beryl/libbench.so
00cee000     64K r-x--  /usr/lib/libberylsettings.so.0.0.0
00cfe000      4K rwx--  /usr/lib/libberylsettings.so.0.0.0
00d33000     36K r-x--  /usr/lib/beryl/libwobbly.so
00d3c000      4K rwx--  /usr/lib/beryl/libwobbly.so
00da5000      8K r-x--  /usr/lib/beryl/libfade.so
00da7000      4K rwx--  /usr/lib/beryl/libfade.so
00dec000     32K r-x--  /usr/lib/libpangocairo-1.0.so.0.1400.10
00df4000      4K rwx--  /usr/lib/libpangocairo-1.0.so.0.1400.10
00df7000      8K r-x--  /lib/libcom_err.so.2.1
00df9000      4K rwx--  /lib/libcom_err.so.2.1
00e40000     40K r-x--  /usr/lib/beryl/libscale.so
00e4a000      4K rwx--  /usr/lib/beryl/libscale.so
00e4b000   1208K r-x--  /usr/lib/libxml2.so.2.6.29
00f79000     20K rwx--  /usr/lib/libxml2.so.2.6.29
00f7e000      4K rwx--    [ anon ]
00fac000     36K r-x--  /lib/libnss_files-2.5.so
00fb5000      4K r-x--  /lib/libnss_files-2.5.so
00fb6000      4K rwx--  /lib/libnss_files-2.5.so
02786000    312K r-x--  /usr/lib/libORBit-2.so.0.1.0
027d4000     40K rwx--  /usr/lib/libORBit-2.so.0.1.0
027e0000    204K r-x--  /usr/lib/libgconf-2.so.4.1.0
02813000     12K rwx--  /usr/lib/libgconf-2.so.4.1.0
02818000    380K r-x--  /usr/lib/libgnomevfs-2.so.0.1600.2
02877000     12K rwx--  /usr/lib/libgnomevfs-2.so.0.1600.2
02a40000    188K r-x--  /usr/lib/libgsf-1.so.114.0.1
02a6f000     12K rwx--  /usr/lib/libgsf-1.so.114.0.1
02a72000      4K rwx--    [ anon ]
02a75000    204K r-x--  /usr/lib/librsvg-2.so.2.16.1
02aa8000      4K rwx--  /usr/lib/librsvg-2.so.2.16.1
02aab000    216K r-x--  /usr/lib/libcroco-0.6.so.3.0.1
02ae1000     12K rwx--  /usr/lib/libcroco-0.6.so.3.0.1
03007000   1136K r-x--  /lib/libcrypto.so.0.9.8b
03123000     72K rwx--  /lib/libcrypto.so.0.9.8b
03135000     16K rwx--    [ anon ]
0313b000    536K r-x--  /usr/lib/libkrb5.so.3.2
031c1000      8K rwx--  /usr/lib/libkrb5.so.3.2
031c5000    148K r-x--  /usr/lib/libk5crypto.so.3.0
031ea000      4K rwx--  /usr/lib/libk5crypto.so.3.0
031ed000    168K r-x--  /usr/lib/libgssapi_krb5.so.2.2
03217000      4K rwx--  /usr/lib/libgssapi_krb5.so.2.2
0321a000    260K r-x--  /lib/libssl.so.0.9.8b
0325b000     16K rwx--  /lib/libssl.so.0.9.8b
03261000     32K r-x--  /usr/lib/libstartup-notification-1.so.0.0.0
03269000      4K rwx--  /usr/lib/libstartup-notification-1.so.0.0.0
0326c000      8K r-x--  /usr/lib/libXdamage.so.1.0.0
0326e000      4K rwx--  /usr/lib/libXdamage.so.1.0.0
033e4000    424K r-x--  /usr/lib/libGL.so.1.2
0344e000     12K rwx--  /usr/lib/libGL.so.1.2
03451000      4K rwx--    [ anon ]
034c0000    228K r-x--  /lib/libdbus-1.so.3.2.0
034f9000      4K rwx--  /lib/libdbus-1.so.3.2.0
039c1000     60K r-x--  /usr/lib/libavahi-client.so.3.2.1
039d0000      4K rwx--  /usr/lib/libavahi-client.so.3.2.1
03a03000     44K r-x--  /usr/lib/libavahi-common.so.3.4.3
03a0e000      4K rwx--  /usr/lib/libavahi-common.so.3.4.3
03a4a000     64K r-x--  /usr/lib/libbz2.so.1.0.3
03a5a000      4K rwx--  /usr/lib/libbz2.so.1.0.3
03a5d000     16K r-x--  /usr/lib/libXxf86vm.so.1.0.0
03a61000      4K rwx--  /usr/lib/libXxf86vm.so.1.0.0
08047000    228K r-x--  /usr/bin/beryl
08080000      4K rw---  /usr/bin/beryl
08081000     12K rw---    [ anon ]
09e3e000   4612K rw---    [ anon ]
ad83c000  32768K rw-s-    [ shmid=0x648014 ]
af83c000    264K rw---    [ anon ]
af87e000   4992K rw-s-  /dev/dri/card0
afd5e000   2048K rw-s-  /dev/dri/card0
aff5e000 131072K rw-s-  /dev/dri/card0
b7f5e000     28K rw---    [ anon ]
b7f66000      4K r--s-  /dev/dri/card0
b7f67000     64K r--s-  /dev/dri/card0
b7f77000      8K rw-s-  /dev/dri/card0
b7f79000     28K r--s-  /usr/lib/gconv/gconv-modules.cache
bff97000     84K rw---    [ stack ]
 total   193200K
Comment 6 Matěj Cepl 2007-12-10 04:23:38 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 7 Matěj Cepl 2008-01-15 09:38:37 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.